import { SmartlingAuthApi } from "../auth/index";
import { SmartlingBaseApi } from "../base/index";
import { Logger } from "../logger";
export declare class SmartlingApiClientBuilder {
    private authApiClient;
    private userId;
    private userSecret;
    private baseSmartlingApiUrl;
    private httpClientOptions;
    private clientLibId;
    private clientLibVersion;
    private logger;
    setLogger(logger: Logger): SmartlingApiClientBuilder;
    setBaseSmartlingApiUrl(baseSmartlingApiUrl: string): SmartlingApiClientBuilder;
    setHttpClientConfiguration(httpClientOptions: Record<string, unknown>): SmartlingApiClientBuilder;
    setClientLibMetadata(clientLibId: string, clientLibVersion: string): SmartlingApiClientBuilder;
    authWithUserIdAndUserSecret(userId: string, userSecret: string): SmartlingApiClientBuilder;
    authWithAuthApiClient(authApiClient: SmartlingAuthApi): SmartlingApiClientBuilder;
    build<T extends SmartlingBaseApi>(constructor: new (baseUrl: string, authApi: SmartlingAuthApi, logger: any) => T): T;
}
