import { SmartlingBaseApi } from "../base/index";
import { SmartlingAuthApi } from "../auth/index";
import { Logger } from "../logger";
import { CreateBatchParameters } from "./params/create-batch-parameters";
import { UploadBatchFileParameters } from "./params/upload-batch-file-parameters";
import { BatchStatusDto } from "./dto/batch-status-dto";
import { BatchDto } from "./dto/batch-dto";
import { CancelBatchFileParameters } from "./params/cancel-batch-file-parameters";
import { RegisterBatchFileParameters } from "./params/register-batch-file-parameters";
export declare class SmartlingJobBatchesApi extends SmartlingBaseApi {
    constructor(smartlingApiBaseUrl: string, authApi: SmartlingAuthApi, logger: Logger);
    alterRequestData(uri: string, opts: Record<string, unknown>): Record<string, unknown>;
    createBatch(projectId: string, params: CreateBatchParameters): Promise<BatchDto>;
    registerBatchFile(projectId: string, batchUid: string, params: RegisterBatchFileParameters): Promise<BatchDto>;
    cancelBatchFile(projectId: string, batchUid: string, params: CancelBatchFileParameters): Promise<BatchDto>;
    uploadBatchFile(projectId: string, batchUid: string, params: UploadBatchFileParameters): Promise<boolean>;
    getBatchStatus(projectId: string, batchUid: string): Promise<BatchStatusDto>;
}
