"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UploadBatchFileParameters = void 0;
const index_1 = require("../../parameters/index");
class UploadBatchFileParameters extends index_1.BaseParameters {
    setClientLibId(clientLibId, version) {
        this.set("smartling.client_lib_id", JSON.stringify({
            client: clientLibId,
            version
        }));
        return this;
    }
    setCallbackUrl(callbackUrl) {
        this.set("callbackUrl", callbackUrl);
        return this;
    }
    setLocalesToApprove(localesToApprove) {
        this.set("localeIdsToAuthorize", localesToApprove);
        return this;
    }
    setFile(filePath) {
        this.set("file", filePath);
        return this;
    }
    setFileUri(fileUri) {
        this.set("fileUri", fileUri);
        return this;
    }
    setFileType(fileType) {
        this.set("fileType", fileType);
        return this;
    }
    setDirective(key, value) {
        this.set(`smartling.${key}`, value);
        return this;
    }
}
exports.UploadBatchFileParameters = UploadBatchFileParameters;
//# sourceMappingURL=upload-batch-file-parameters.js.map